#-----------------------------------------------------------------------------
%global		dist	.ok
#-----------------------------------------------------------------------------
Name		:	libsodium
Version		:	1.0.18
Release		:	14.8.0.0%{?dist}
Summary		:	The Sodium crypto library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ISC
URL		:	http://libsodium.org/
			#http://download.libsodium.org/libsodium/releases/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make


#-----------------------------------------------------------------------------
%description
Sodium is a new, easy-to-use software library for
encryption, decryption, signatures, password
hashing and more. It is a portable, cross-compilable, 
installable, packageable fork of NaCl, with a
compatible API, and an extended API to improve
usability even further. Its goal is to provide all
of the core operations needed to build higher-level
cryptographic tools. The design choices emphasize
security, and "magic constants" have clear rationales.
 
The same cannot be said of NIST curves, where
the specific origins of certain constants are not
described by the standards. And despite the emphasis
on higher security, primitives are faster
across-the-board than most implementations of
the NIST standards.
 

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%license LICENSE
%{_libdir}/%{name}.so.*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}


#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains libraries and header files for
developing applications that use %{name} libraries.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README.markdown THANKS
%doc test/default/*.{c,exp,h}
%doc test/quirks/quirks.h
%{_includedir}/sodium.h
%{_includedir}/sodium/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		static
Summary		:	Static library for %{name}


#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		static
%description    static
This package contains the static library for statically
linking applications to use %{name}.

#-----------------------------------------------------------------------------
%files			static
%defattr(-,root,root,-)
%{_libdir}/libsodium.a

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--localstatedir=%{_var}				\
	--disable-silent-rules				\
	--disable-opt					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
